Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.pix.source
Class PixSourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ohf.utilities.OHFException
                  org.eclipse.ohf.ihe.pix.source.PixSourceException

All Implemented Interfaces:
  java.io.Serializable

    public class PixSourceException

extends org.eclipse.ohf.utilities.OHFException

See Also:
  Serialized Form

Constructor Summary
`PixSourceException(java.lang.String message)` Create with a message.
`PixSourceException(java.lang.String message, int errorConditionCode)` Create with a message and an error condition.
`PixSourceException(java.lang.String message, int errorConditionCode, java.lang.Throwable e)` Create with a message and an error condition and exception.
`PixSourceException(java.lang.Throwable e)` Create as a wrapper for some other exception.
`PixSourceException(java.lang.Throwable e, int errorConditionCode)` Create as a wrapper for some other exception with an error condition.

Method Summary
`int` | `getErrorCondition()` Get the error condition for this exception.
`void` | `setErrorCondition(int errorConditionCode)` Set the error condition for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PixSourceException

    public PixSourceException(java.lang.String message)

  Create with a message.

  Parameters:
    `message` -

### PixSourceException

    public PixSourceException(java.lang.String message,
                              int errorConditionCode)

  Create with a message and an error condition.

  Parameters:
    `message` -
    `errorConditionCode` -

### PixSourceException

    public PixSourceException(java.lang.String message,
                              int errorConditionCode,
                              java.lang.Throwable e)

  Create with a message and an error condition and exception.

  Parameters:
    `message` -
    `errorConditionCode` -
    `e` -

### PixSourceException

    public PixSourceException(java.lang.Throwable e)

  Create as a wrapper for some other exception.

  Parameters:
    `e` -

### PixSourceException

    public PixSourceException(java.lang.Throwable e,
                              int errorConditionCode)

  Create as a wrapper for some other exception with an error condition.

  Parameters:
    `e` -
    `errorConditionCode` -

Method Detail

### getErrorCondition

    public int getErrorCondition()

  Get the error condition for this exception.

  Returns:
    errorConditionCode

### setErrorCondition

    public void setErrorCondition(int errorConditionCode)

  Set the error condition for this exception.

  Parameters:
    `errorConditionCode` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD